// for internal use only - if you are not Peter from psoft.sk, please set off
{.$define PSOFT_DEBUG}

// enable export to jpg/jpeg file format ... use unt JPeg ...
{$define PSOFT_JPEG}

// enable export to gif file format ... use unit GifImg (Delphi 2009) ...
{$define PSOFT_GIF}

// enable export to png file format ...
{$define PSOFT_PNG}

// if PSOFT_BARCODE_DB is active data aware barcode is enabled, this means
// BDE and another data engines are used ...
{$define PSOFT_BARCODE_DB}

// enable design/ runtime editors - douuble click on barcode image
// to open editor editor window
{$define PSOFT_EDITORS}

// PSOFT_PROF enabled PDF417, IntelligentMail, AustraliaPost and another
// symbologies ...
{$define PSOFT_PROF}

// PSOFT_STUDIO enable 2D symbologies DataMatrix, QRCode ...
// more about supported symbologies on psoft.sk or barcode-software.eu
{$define PSOFT_STUDIO}

// if set, editors, DB support, GIF, PNG, JPEG are disabled
// under construction, not usable now
{.$define PSOFT_LITE}

{$ifdef PSOFT_LITE}
   {$undef PSOFT_DB}
   {$undef PSOFT_EDITORS}
   {$undef PSOFT_GIF}
   {$undef PSOFT_PNG}
   {$undef PSOFT_JPEG}
{$endif}

// ---------------------------------------------------------------
// select your preferred report tool here
// ---------------------------------------------------------------

// changed in 2014, better is use extra packages for selected report
// engine, packages located in /packages

{.$define PSOFT_PRAGNAAN}
{.$define PSOFT_QUICKREPORT}
{.$define PSOFT_QREPORT4}
{.$define PSOFT_RAVE}
{.$define PSOFT_ACE}
{.$define PSOFT_RB}
{.$define PSOFT_FASTREPORT}


// *********************************************************************
// ***************  PLEASE, DON'T MODIFY LINES BELOW   *****************
// *********************************************************************

{$ifdef PSOFT_STUDIO}
  {$define PSOFT_PROF}
{$endif}

{$ifdef PSOFT_PROF}
  {$define PSOFT_PDF417}
{$endif}

// select used Delphi/C++ builder version, please not change
// detect automatically

{$IFDEF VER150} {Borland Delphi 7.0 }
	  {$define PSOFT_D7}
{$endif}

{$IFDEF VER160} {Borland Delphi 8.0 }
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
{$endif}

{$IFDEF VER170} {Borland Delphi 2005 }
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
{$endif}

{$IFDEF VER180} {Borland Delphi 2006 }
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
{$endif}

// Delphi 2007
// Note: D2007/win32 defines VER180 and VER185. D2007/.NET defines VER190

{$IFDEF VER185}
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
    {$define PSOFT_D2007win}
{$ENDIF}

{$IFDEF VER190}
	  {$DEFINE PSOFT_D5}
	  {$define PSOFT_D6}
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
    {$define PSOFT_D2007net}
{$ENDIF}

// Delphi 2009
{$IFDEF VER200}
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
    {$define PSOFT_D2007net}
	  {$define PSOFT_D2009}
{$ENDIF}

// Delphi 2010
{$IFDEF VER210}
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
    {$define PSOFT_D2007net}
	  {$define PSOFT_D2009}
	  {$define PSOFT_D2010}
{$ENDIF}

// Delphi Delphi XE
{$IFDEF VER220}
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
    {$define PSOFT_D2007net}
	  {$define PSOFT_D2009}
	  {$define PSOFT_D2010}
	  {$define PSOFT_DXE}
{$ENDIF}

// Delphi XE2
{$IFDEF VER230}
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
    {$define PSOFT_D2007net}
	  {$define PSOFT_D2009}
	  {$define PSOFT_D2010}
	  {$define PSOFT_DXE}
	  {$define PSOFT_DXE2}
{$ENDIF}

// Delphi XE3
{$IFDEF VER240}
	  {$define PSOFT_D7}
	  {$define PSOFT_D8}
	  {$define PSOFT_D2005}
	  {$define PSOFT_D2006}
    {$define PSOFT_D2007net}
	  {$define PSOFT_D2009}
	  {$define PSOFT_D2010}
	  {$define PSOFT_DXE}
	  {$define PSOFT_DXE2}
	  {$define PSOFT_DXE3}
{$ENDIF}



{$ifndef PSOFT_D2009}
    {$undef PSOFT_GIF}
    {$undef PSOFT_PNG}
{$endif}

